# Set phase value

scoreboard players set #ice_phase value 3







# Clear the actionbar

title @a[scores={arena=4}] actionbar ""







# Set timer

execute if score #ice_time value matches 0 run scoreboard players set #ice_timer value 1200
execute if score #ice_time value matches 1 run scoreboard players set #ice_timer value 2400
execute if score #ice_time value matches 2 run scoreboard players set #ice_timer value 3600
execute if score #ice_time value matches 3 run scoreboard players set #ice_timer value 6000
execute if score #ice_time value matches 4 run scoreboard players set #ice_timer value 12000
execute if score #ice_time value matches 5 run scoreboard players set #ice_timer value 18000
execute if score #ice_time value matches 6 run scoreboard players set #ice_timer value 24000
execute if score #ice_time value matches 7 run scoreboard players set #ice_timer value 36000







# Miscellaneous actions

gamemode creative @a[scores={arena=4},tag=!eliminated,tag=!skipped,tag=!spectator]
effect clear @a[scores={arena=4}] blindness
scoreboard players reset @a[scores={arena=4},tag=!spectator] complete
scoreboard players enable @a[scores={arena=4},tag=!eliminated,tag=!skipped,tag=!spectator] complete
tag @a[scores={arena=4},tag=!spectator] remove complete
tellraw @a[scores={arena=4},tag=!eliminated,tag=!skipped] ""
tellraw @a[scores={arena=4},tag=!eliminated,tag=!skipped,tag=!spectator] [{"text":"Run ","color":"gray"},{"text":"/trigger complete","color":"white"},{"text":" to finish early.","color":"gray"}]
tellraw @a[scores={arena=4},tag=!eliminated,tag=!skipped,tag=!spectator] [{"text":"Run ","color":"gray"},{"text":"/trigger floor","color":"white"},{"text":" with a block in your hand to change the plot floor.","color":"gray"}]
tellraw @a[scores={arena=4},tag=!eliminated,tag=!skipped,tag=!spectator] ""







# Prepare bossbar

bossbar set build:ice visible true
execute store result bossbar build:ice max run scoreboard players get #ice_timer value
execute store result bossbar build:ice value run scoreboard players get #ice_timer value







# Announce theme

execute as @a[scores={arena=4}] at @s run playsound minecraft:event.raid.horn master @s ~ ~ ~ 100
execute if score #ice_mode value matches 0 run function build:phase/ice/3/start/telephone/main
execute if score #ice_mode value matches 1..2 run function build:phase/ice/3/start/standard/main
execute if score #ice_mode value matches 3 run function build:phase/ice/3/start/1v1s/main







# Set modifier timer

execute if score #ice_modifiers value matches 1.. run scoreboard players set #input value 400
execute if score #ice_modifiers value matches 1.. run function build:generic/rng
execute if score #ice_modifiers value matches 1.. run scoreboard players operation #ice_modifiers_timer value = #output value
execute if score #ice_modifiers value matches 1.. run scoreboard players add #ice_modifiers_timer value 400







# Place random build in front of every player

execute if score #debug_mode value matches 1 at @a[scores={arena=4},tag=!admin,tag=!eliminated,tag=!skipped,tag=!spectator] positioned ~ 0 ~13 run function build:generic/build/main